JSON spec for a framework's controls
curl --request GET \
--url https://app.aegister.com/api/v1/v-ciso/organizations/{organizationid}/workflows/{workflowid}/framework/spec \
--header 'X-Aegister-Token: <api-key>'import requests
url = "https://app.aegister.com/api/v1/v-ciso/organizations/{organizationid}/workflows/{workflowid}/framework/spec"
headers = {"X-Aegister-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Aegister-Token': '<api-key>'}};
fetch('https://app.aegister.com/api/v1/v-ciso/organizations/{organizationid}/workflows/{workflowid}/framework/spec', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": 0,
"messages": "<array>",
"data": {
"kind": "framework",
"framework": {
"id": "<string>",
"name": {
"en": "<string>",
"it": "<string>"
}
},
"steps": [
{}
],
"controls": [
{
"id": "<string>",
"label": {
"en": "<string>",
"it": "<string>"
},
"description": {
"en": "<string>",
"it": "<string>"
},
"type": "<string>",
"multiple": true,
"required": true,
"custom": true,
"choices": [
{
"value": "<string>",
"label": {
"en": "<string>",
"it": "<string>"
}
}
],
"format": {},
"evidence": true,
"step": "<string>",
"subframework": "<string>",
"category": {
"en": "<string>",
"it": "<string>"
},
"weight": 123
}
]
}
}{
"error": 0,
"messages": "<array>"
}{
"error": 0,
"messages": "<array>"
}Framework Controls
Framework controls spec
Machine-readable contract for a framework’s controls (id, type, choices, weight, step), grouped into steps. Optional ?step= restricts to one step.
GET
/
api
/
v1
/
v-ciso
/
organizations
/
{organizationid}
/
workflows
/
{workflowid}
/
framework
/
spec
JSON spec for a framework's controls
Authorizations
ApiKeyAuthApiKeyQueryParam
Query Parameters
Language for labels/validation (en|it).
Restrict to a single framework step id.
⌘I

